WESNOTHD(6)

NAZWA
wesnothd - demon sieciowy gier wieloosobowych Bitwy o Wesnoth

SKŁADNIA
wesnothd [-dv] [-c ścieżka] [-p port] [-t liczba] [-T liczba]
wesnothd -V

OPIS
Zarządza grami wieloosobowymi Bitwy o Wesnoth. Więcej informacji o poleceniach akceptowanych przez serwer za pośrednictwem klienta wesnoth (/query ...) lub kolejki można znaleźć pod adresem http://www.wesnoth.org/wiki/ServerAdministration.

OPCJE

-c ścieżka, --config ścieżka
    informuje demona wesnothd o lokalizacji pliku konfiguracyjnego. Zobacz rozdział KONFIGURACJA SERWERA poniżej, aby uzyskać informacje o składni. Konfigurację można przeładować wysyłając procesowi serwera proces SIGHUP.

-d, --daemon
    uruchamia wesnothd w trybie demona.

-h, --help
    wyświetla informacje o opcjach wiersza poleceń.

--log-poziom=domena1,domena2,...
    określa poziom istotności domen debugowania. all oznacza dopasowanie wszystkich domen debugowania. Dostępne poziomy: error (błędy),warning (ostrzeżenia), info (informacje), debug (debugowanie). Poziom domyślny to error lub info (w przypadku domeny server).

-p port, --port port
    przypisuje serwer do określonego portu. Jeśli nie podano żadnego portu, używany będzie port 15000.

-t liczba, --threads liczba
    ustawia maksymalną liczbę oczekujących wątków roboczych dla wejścia/wyjścia sieci na wartość n (domyślnie: 5, maksymalnie: 30).

-T liczba, --max-threads liczba
    ustawia maksymalną ilość wątków roboczych, które zostaną utworzone. Wartość 0 (domyślna) oznacza brak limitu.

-V, --version
    wyświetla numer wersji i kończy działanie programu.

-v, --verbose
    włącza zapis dzienników debugowania.

KONFIGURACJA SERWERA

  Ogólna składnia jest następująca:

[tag]

    key="wartość"

    key="wartość,wartość,..."

[/tag]

  Klawisze globalne:

ban_save_file
    Pełna lub względna ścieżka do pliku (archiwum gzip), do którego serwer ma dostęp do odczytu i zapisu. Blokady będą zapisywane w tym pliku i wczytywane ponownie podczas uruchamiania serwera.

connections_allowed
    Dozwolona liczba połączeń z tego samego adresu IP. 0 oznacza brak ograniczeń. (domyślnie: 5)

disallow_names
    Nazwy/ksywki, które nie są akceptowane przez serwer. '*' oraz '?' z wzorców wieloznacznych są obsługiwane. Zobacz stronę glob(7), aby uzyskać szczegółowe informacje. Wartości domyślne (używane, gdy żadne inne wartości nie zostaną podane): *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Ścieżka do kolejki, do której można przesyłać polecenia serwera (działanie równoważne do polecenia /query ... z wesnoth). Jeśli nie zostanie podana, przyjmowana jest wartość określona podczas kompilacji (domyślnie: /var/run/socket/wesnothd/socket).

max_messages
    Liczba wiadomości dopuszczanych w przedziale czasowym messages_time_period (domyślnie: 4).

messages_time_period
    Przedział czasowy (w sekundach), na przestrzeni którego wykrywane jest zalewanie komunikatami (domyślnie: 10 sekund).

motd
    Wiadomość dnia.

passwd
    Hasło służące do uzyskania uprawnień administratora. Zazwyczaj zaczyna się od "admin ".

replay_save_path
    Katalog na serwerze, w którym są zapisywane powtórki gier, koniecznie z ukośnikiem (/) na końcu. Domyślnie jest to katalog, w którym uruchomiono wesnothd.

restart_command
    Polecenie używane przez serwer do uruchomienia nowego procesu serwera poleceniem "restart". (Może zostać wydane wyłącznie poprzez kolejkę).

save_replays
    Określa, czy serwer będzie automatycznie zapisywać powtórki gier. Domyślnie wyłączone (wartość false).

versions_accepted
    Oddzielana przecinkami lista wersji akceptowanych przez serwer. `*' i `?' z wzorców wieloznacznych są akceptowane. (Domyślnie: dla odpowiedniej wersji wesnoth).
    Przykład: versions_accepted="*" odpowiada akceptowaniu dowolnego numeru wersji.

user_handler
    Nazwa obiektu obsługi użytkowników, który ma być używany. Obecnie dostępne obiekty to 'forum' (aby podłączyć wesnothd do bazy danych forum phpbb) i 'sample' (przykładowa implementacja interfejsu obiektu obsługi użytkowników, której nikt przy zdrowych zmysłach nie powinien używać w poważnych zastosowaniach). Wartość domyślna to 'forum'. Należy też dodać sekcję [user_handler] (patrz poniżej).

  Globalne etykiety:

[redirect] Etykieta określająca serwer, na który przekierowywane są okreslone wersje klientów.

    host
        Adres serwera, na który ma nastąpić przekierownie.

    port
        Numer portu, z którym ma nastąpić połączenie.

    version
        Oddzielana przecinkami lista wersji, które mają zostać przekierowane. Działa tak, jak versions_accepted w przypadku wzorców wieloznacznych.

[ban_time] Znacznik do definiowania wygodnych słów kluczowych, określających przedziały czasu tymczasowych blokad.

    name
        Nazwa używana do określenia danego czasu blokady.

    time
        Definicja przedziału czasowego. Format: %d[%s[%d%s[...]]], gdzie %s ma wartość s (sekundy), m (minuty), h (godziny), D (dni), M (miesiące) lub Y (lata), a %d jest liczbą. Jeśli nie zostanie podany żaden modyfikator czasu, przyjmowane są minuty (m). Przykład: time="1D12h30m" spowoduje ustawienie blokady trwającej 1 dzień, 12 godzin i 30 minut.

[proxy] Etykieta instruująca serwer, by działał jak serwer proxy i przekierowywał żądanie klienta do określonego serwera. Akceptuje takie same klucze, jak [redirect].

[user_handler] Konfiguruje obiekt obsługi użytkowników. Dostępne parametry zależą od obiektu ustawionego za pomocą parametru user_handler. W przypadku braku sekcji [user_handler] w konfiguracji serwer zostanie uruchomiony bez żadnej usługi rejestrowania pseudonimów.

    db_host
        (dotyczy user_handler=forum) Nazwa hosta serwera bazy danych

    db_name
        (dotyczy user_handler=forum) Nazwa bazy danych

    db_user
        (dotyczy user_handler=forum) Nazwa użytkownika, która umożliwia zalogowanie się do bazy danych

    db_password
        (dotyczy user_handler=forum) Hasło tego użytkownika

    db_users_table
        (dotyczy user_handler=forum) Nazwa tabeli, w której używane forum phpbb zapisuje dane użytkowników. Najczęściej będzie to <przedrostek-nazwy-tabeli>_users (np. phpbb3_users).

    db_extra_table
        (dotyczy user_handler=forum) Nazwa tabeli, w której wesnothd będzie zapisywać własne dane o użytkownikach. Tabelę trzeba utworzyć ręcznie, np. poleceniem: CREATE TABLE <nazwa-tabeli>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (dotyczy user_handler=sample) Czas ważności zarejestrowanego pseudonimu (w dniach).

[mail] Konfiguruje serwer SMTP, za pośrednictwem którego obiekt obsługi użytkowników może wysyłać pocztę elektroniczną. Obecnie używane tylko przez obiekt 'sample'.

    server
        Nazwa hosta serwera poczty.

    username
        Nazwa użytkownika używana do zalogowania się na serwer poczty.

    password
        Hasło tego użytkownika.

    from_address
        Adres do odpowiedzi w wysyłanej poczcie.

    mail_port
        Port, na którym jest uruchomiony serwer poczty. Domyślnie: 25.

AUTOR
Autor: David White <davidnwhite@verizon.net>. Modyfikacje: Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> i Thomas Baumhauer <thomas.baumhauer@gmail.com>. Autorem pierwotnej wersji tej strony manuala jest Cyril Bouthors <cyril@bouthors.org>.
Odwiedź oficjalną stronę WWW: http://www.wesnoth.org/

PRAWA AUTORSKIE
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Oprogramowanie typu Free Software. Oprogramowanie oparte na licencji GPL wersja 2 opublikowanej przez Free Software Foundation. Nie udziela się ŻADNEJ gwarancji, łącznie z RĘKOJMIĄ oraz GWARANCJĄ PRZYDATNOŚCI DO OKREŚLONEGO CELU.

ZOBACZ TAKŻE
wesnoth(6), wesnoth_editor(6)